/* carousel----------------------- */

.carousel-link {
  color: black;
  margin-top: 1rem;
  font-family: Calligraffitti, "sans serif";
  font-size: 20px;
  text-decoration: none;
  font-weight: 600;
}

.carousel-link:hover {
  text-decoration: underline;
}

.carousel-title {
  font-family: "Goudy Bookletter 1911", "sans serif";
  font-size: 24px;
  color: black;
  margin-top: 5px;
}

.carousel-body-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 70vh;
  background-color: #9d5d35;
  padding: 0 35px;
}

.carousel-wrapper {
  max-width: 938px;
  width: 100%;
  position: relative;
}

#right,
#left {
  text-align: center;
  cursor: pointer;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}

#left {
  left: -79px;
}

#right {
  right: -79px;
}

.carousel-list :where(.card, .carousel-img) {
  display: flex;
  align-items: center;
  justify-content: center;
}

.carousel-list::-webkit-scrollbar {
  display: none;
}

.carousel-list .carousel-card {
  scroll-snap-align: start;
  height: 500px;
  list-style: none;
  background: #fff;
  border-radius: 8px;
  padding: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  cursor: pointer;
}

.carousel.dragging .carousel-card {
  cursor: grab;
  user-select: none;
}

.carousel.dragging {
  scroll-behavior: auto;
  scroll-snap-type: none;
}

.carousel-list.no-transition {
  scroll-behavior: auto;
}

.carousel-card .carousel-img img {
  width: 200px;
  height: 300px;
  object-fit: cover;
  border-radius: 8px;
}

.carousel-wrapper .carousel-list {
  display: grid;
  grid-auto-flow: column;
  grid-auto-columns: calc((100% / 3) - 12px);
  gap: 16px;
  overflow-x: auto;
  scroll-snap-type: x mandatory;
  scroll-behavior: smooth;
  scrollbar-width: 0;
}

/* carousel----------------------- */

.welcome-wrapper {
  display: flex;
  flex-flow: column wrap;
  justify-content: center;
  max-width: 60%;
  margin: auto;
  margin-bottom: 5rem;
}

.whimsy-logo {
  max-width: 445px;

  
}

.quote {
  background-color: #9d5d35;
  padding: 2rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 5rem;
}

h3 {
  color: #fff;
  font-size: 2rem;
  max-width: 35%;
  text-align: center;
}

.happy-info {
  width: 34rem;
  display: flex;
  justify-content: center;
  margin: auto;
  margin-top: 2rem;
}

footer {
  background-color: ;
}

/* carousel----------------------- */

@media (width <= 1140px) {
  .carousel-wrapper .carousel-list {
    grid-auto-columns: calc((100% / 2) - 9px);
  }

  .carousel-wrapper {
    width: 70%;
  }
}

@media (width <= 1000px) {
  .carousel-wrapper .carousel-list {
    grid-auto-columns: 100%;
  }
}

@media (width <=465px) {
  #left {
    left: -59px;
  }

  #right {
    right: -59px;
  }

  .whimsy-logo {
    max-width: 345px;
  
    
  }
}